Bug 144527 - CAN-2005-0179 RLIMIT_MEMLOCK bypass and (2.6) unprivileged user DoS
Summary: CAN-2005-0179 RLIMIT_MEMLOCK bypass and (2.6) unprivileged user DoS
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard: public=20060107,impact=moderate
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-07 22:14 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 19:25:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-01-07 22:14:14 UTC
*** This bug has been split off bug 144524 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.01.07
17:08 -------

This was reported by grsecurity to full-disclosure
http://lists.netsys.com/pipermail/full-disclosure/2005-January/030660.html

the 'culprit' patch is how the default RLIM_MEMLOCK and the privilege
to call mlockall have changed in 2.6.9. namely, the former has been
reduced to 32 pages while the latter has been relaxed to allow it for
otherwise unprivileged users if their RLIM_MEMLOCK is bigger than the
currently allocated vm. which is normally good enough, except as you
now know there's a path that can increase the allocated vm without
checking for RLIM_MEMLOCK.


The fix for this issue is attachment 109501 [details]

Comment 2 Jason Baron 2005-04-05 19:25:11 UTC
This is not an issue since mlock is limited to root.


Note You need to log in before you can comment on or make changes to this bug.